package com.example.osnov_android.navigation

import android.os.Build
import androidx.annotation.RequiresApi
import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.osnov_android.MainActivityViewModel
import com.example.osnov_android.views.BlogAddItem
import com.example.osnov_android.views.BlogItem
import com.example.osnov_android.views.BlogItemAdmin
import com.example.osnov_android.views.CookingItem
import com.example.osnov_android.views.CookingItemAdmin
import com.example.osnov_android.views.SignIn
import com.example.osnov_android.views.SignUp
import com.example.osnov_android.views.Start
import com.example.osnov_android.views.Updatedatauser
import com.example.osnov_android.views.bottom_menu.AppNavigation
import com.example.osnov_android.views.bottommenuAdmin.AppNavigationAdmin
// Настройка навигации между страницами
@RequiresApi(Build.VERSION_CODES.O)
@Composable
fun Navigation(viewModelMain: MainActivityViewModel) {
    val navController = rememberNavController()
    NavHost(navController = navController, startDestination = Screen.Start.route)
    {
        composable(Screen.Start.route)
        {
            Start(navController)
        }
        composable(Screen.SignIn.route)
        {
            SignIn(navController, viewModelMain)
        }
        composable(Screen.SignUp.route)
        {
            SignUp(navController, viewModelMain)
        }
        composable(Screen.Navigations.route)
        {
            AppNavigation(viewModelMain,navController)
        }
        composable(Screen.NavigationsAdmin.route)
        {
            AppNavigationAdmin(viewModelMain,navController)
        }
        composable(Screen.UpdatedataUser.route)
        {
            Updatedatauser(viewModelMain,navController)
        }
        composable(Screen.BlogItem.route)
        {
            BlogItem(viewModelMain,navController)
        }
        composable(Screen.BlogItemAdmin.route)
        {
            BlogItemAdmin(viewModelMain,navController)
        }
        composable(Screen.BlogAddItem.route)
        {
            BlogAddItem(viewModelMain,navController)
        }
        composable(Screen.CookingItem.route)
        {
            CookingItem(viewModelMain,navController)
        }
        composable(Screen.CookingItemAdmin.route)
        {
            CookingItemAdmin(viewModelMain,navController)
        }

    }
}