package com.example.osnov_android.views

import androidx.compose.foundation.Image
import androidx.compose.foundation.ScrollState
import androidx.compose.foundation.background
import androidx.compose.foundation.gestures.scrollable
import androidx.compose.foundation.horizontalScroll
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.foundation.shape.CircleShape
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonColors
import androidx.compose.material3.Card
import androidx.compose.material3.CircularProgressIndicator
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.platform.LocalContext
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import coil.compose.AsyncImagePainter
import coil.compose.rememberAsyncImagePainter
import coil.request.ImageRequest
import com.example.osnov_android.MainActivityViewModel
import com.example.osnov_android.navigation.Screen

@Composable
fun Profile( navController: NavController) {
    val background = Color(0xFF1B1A20)
    //val user by viewModel.user
    val flag = remember { mutableStateOf(true) }
    //val mycookings by viewModel.mycookings
    if (flag.value) {
       // viewModel.profileData()
        flag.value = false
    }
   // if (user.isNotEmpty()) {
        Column(
            modifier = Modifier
                .fillMaxSize()
                .background(background)
                .padding(top = 50.dp),
            horizontalAlignment = Alignment.CenterHorizontally
        ) {
            Text(
                text = "ПРОФИЛЬ",
                fontWeight = FontWeight.Light,
                fontSize = 24.sp,
                color = Color(0xFFFFFFFF),
                letterSpacing = 10.sp
            )
            Spacer(Modifier.height(30.dp))
            Box(modifier = Modifier
                .height(200.dp)
                .width(200.dp),)
            {
                Column(
                    Modifier.fillMaxSize(),
                    verticalArrangement = Arrangement.Center,
                ) {
                    /*Image(
                        modifier = Modifier
                            .fillMaxWidth()
                            .size(200.dp)
                            .clip(CircleShape),
                        painter = rememberAsyncImagePainter(viewModel.users.value.last().image),
                        contentDescription = "",
                        contentScale = ContentScale.Crop,
                        alignment = Alignment.Center
                    )*/
                }
            }
            Spacer(Modifier.width(30.dp))
            Box(modifier = Modifier)
            {
                /*Text(
                    text = viewModel.users.value.last().name,
                    fontWeight = FontWeight.Medium,
                    fontSize = 30.sp,
                    color = Color.White,
                    modifier = Modifier.padding(5.dp)
                )*/
            }
            Spacer(Modifier.width(60.dp))
            Button(
                onClick = {
                    navController.navigate(Screen.UpdatedataUser.route)
                }, modifier = Modifier
                    .fillMaxWidth(0.5f)
                    .padding(top = 20.dp),
                shape = RoundedCornerShape(20),
                colors = ButtonColors(
                    contentColor = Color.White,
                    containerColor = Color(0xFF7DAD01),
                    disabledContentColor = Color.White,
                    disabledContainerColor = Color(0xFF7DAD01)
                )
            ) {
                Text(text = "Изменить", fontSize = 24.sp, fontWeight = FontWeight.Light)
            }
            Spacer(modifier = Modifier.height(10.dp))
            Text(text = "Мои посты:", color = Color.White, textAlign = TextAlign.Left)

    /*viewModel.MyCookings()
    if (mycookings.isNotEmpty()) {
        LazyColumn {
            items(mycookings) { mycooking ->
                val image = rememberAsyncImagePainter(
                    model = ImageRequest.Builder(LocalContext.current)
                        .data(mycooking.Image)
                        .size(200, 200).build()
                ).state
                Card(
                    modifier = Modifier
                        .fillMaxWidth()
                        .padding(20.dp)


                ) {
                    Column(
                        Modifier.fillMaxWidth(),
                        horizontalAlignment = Alignment.CenterHorizontally
                    ) {

                        if (image is AsyncImagePainter.State.Success) {
                            Box(
                                modifier = Modifier
                                    .height(200.dp)
                                    .padding(10.dp),
                                contentAlignment = Alignment.Center
                            ) {
                                Image(
                                    modifier = Modifier
                                        .fillMaxWidth()
                                        .height(200.dp),
                                    painter = image.painter,
                                    contentDescription = "",
                                    contentScale = ContentScale.Crop,
                                    alignment = Alignment.Center
                                )
                            }
                        }
                        if (image is AsyncImagePainter.State.Loading) {
                            Box(
                                modifier = Modifier
                                    .fillMaxWidth()
                                    .height(250.dp),
                                contentAlignment = Alignment.Center
                            ) {
                                CircularProgressIndicator()
                            }
                        }
                    }
                    Column(
                        Modifier
                            .fillMaxSize()
                            .padding(12.dp),
                        horizontalAlignment = Alignment.Start
                    ) {

                        Text(
                            text = mycooking.Name,
                            fontWeight = FontWeight.Medium,
                            fontSize = 20.sp,
                            color = Color.Black,
                            modifier = Modifier.padding(5.dp)
                        )
                        Text(
                            text = mycooking.Description,
                            fontWeight = FontWeight.Light,
                            fontSize = 14.sp,
                            color = Color.Black,
                            modifier = Modifier.padding(5.dp)
                        )
                    }
                    Column(
                        Modifier.fillMaxSize(),
                        verticalArrangement = Arrangement.Center,
                        horizontalAlignment = Alignment.CenterHorizontally
                    ) {
                        Spacer(Modifier.width(100.dp))
                        Button(
                            onClick = {
                                viewModel.giveBlog(mycooking)
                                navController.navigate(Screen.BlogItemAdmin.route)
                            },
                            modifier = Modifier
                                .fillMaxWidth(0.5f)
                                .padding(5.dp),
                            shape = RoundedCornerShape(20),
                            colors = ButtonColors(
                                contentColor = Color.White,
                                containerColor = Color(0xFF7DAD01),
                                disabledContentColor = Color.White,
                                disabledContainerColor = Color(0xFF7DAD01)
                            )
                        )
                        { Text("Открыть", fontWeight = FontWeight.Light,) }
                    }
                }
            }
        }
    }
        }
    } else {
        Box(Modifier.fillMaxSize(), contentAlignment = Alignment.Center) {
            CircularProgressIndicator()
        }*/
    }
}