package com.example.osnov_android

import androidx.compose.ui.test.junit4.createComposeRule
import com.example.osnov_android.models.UserState
import junit.framework.TestCase.assertEquals
import org.junit.Rule
import org.junit.Test

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {
    @get:Rule
    val composeTestRule = createComposeRule()

    /**
     * Тест на правильность установки начального состояния userState
     * */
    @Test
    fun SignInIsLoading() {
        val viewModel = MainActivityViewModel()
        assertEquals(viewModel.userState.value, UserState.Loading)

    }

    @Test
    fun signInIsSuccess() {
        val viewModel = MainActivityViewModel()

        viewModel._userState.value = UserState.Success(Unit.toString())

        assertEquals(viewModel._userState.value, UserState.Success(Unit.toString()))
    }

    @Test
    fun signInIsError() {
        val viewModel = MainActivityViewModel()
        val message = Exception("error")

        viewModel._userState.value = UserState.Error(message.message.toString())

        assertEquals(viewModel._userState.value, UserState.Error(message.message.toString()))
    }
}
